Skip to content

Get advances

Request

Returns an installment loan's advances

Security
oauth2(Required scopes: loan.advance:list) or bearerAuth or apiKeyHeader
Path
personIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

loanIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

The unique identifier of the Loan we wish to retrieve. Can be Peach or lender's external identifier.

Query
statusstring

The status of the advances.

Enum:"scheduled""pending""settled""canceled"
GET
/people/{personId}/loans/{loanId}/advances
curl -i -X GET \
  'https://sandboxapi.peach.finance/api/people/{personId}/loans/{loanId}/advances?status=scheduled' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
messagestring

Description of the server action or error.

statusinteger

HTTP status code.

dataobject
Response
{ "message": "string", "status": 0, "data": { "advances": [ … ], "totalAdvancedAmount": 0.1, "totalScheduledAmount": 0.1 } }